import streamlit as st
import utils.library.css  as plcss
plcss.setPageConfig('Login',"wide",'collapsed',True)
from  utils.pyx._main import main as pmain
from utils.library.cookie import getSessionUser 


if "role" not in st.session_state:
    st.session_state.role = None
    getSessionUser()
    if 'role' in st.session_state and st.session_state.role is not None:
        st.switch_page('pages/welcome.py')

st.session_state._role = st.session_state.role


pmain()
